Chris
Cheney
ccheney@debian.org
7. märts 2003
dcop
1

# `dcop`

Konsooli &DCOP;-klient

    dcop --pipe --user  kasutaja --all-users --session  seanss --all-sessions --list-sessions --no-user-time  rakendus  objekt  funktsioon argumendid

## Kirjeldus

Konsooli &DCOP;-klient

## Võtmed

`--pipe`

  &DCOP;-i väljakutsumine igalt standardsisendi (stdin) realt.

  See vastab põhimõtteliselt väljakutsele `while read line ; do dcop $line ; done`, aga et iga rea puhul ei käivitata uut `dcop`-protsessi, on see üldiselt palju kiirem, seda eriti aeglasemate GNU dünaamiliste linkurite korral.

`--user` kasutaja

  Ühendumine määratud kasutaja &DCOP;-serveriga. See ignoreerib keskkonnamuutujate $`DCOPSERVER` ja $`ICEAUTHORITY` väärtusi isegi juhul, kui need on määratud.

  Kui kasutajal on enam kui üks avatud seanss, tuleb kasutada ka mõnda järgmistest käsureavõtmetest: `--list-sessions`, `--session` või `--all-sessions`.

`--all-users`

  Saadab sama &DCOP;-väljakutse kõigile töötava &DCOP;-serveri kasutajatele. Ainult olemasolevate &DCOP;-serverite ebaõnnestunud väljakutsed tekitavad veateate. Kui &DCOP;-server pole üldse kättesaadav, ei tekitata mingit veateadet.

`--session` seanss

  Saadab DCOP-väljakutse määratud &kde; seansile. Seda võtit saab kasutada ainult koos võtmega `--user`.

`--all-sessions`

  Saadab väljakutse kõigile leitud seanssidele. Saab kasutada ainult koos võtmetega `--user` ja `--all-users`.

`--list-sessions`

  Näitab kasutaja või kõigi kasutajate kõiki aktiivseid &kde; seansse.

`--no-user-time`

  Kasutaja aktiivsuse ajatemplit väljakutsutud rakendusel ei uuendata (kasutamiseks taustal töötavate skriptide korral).

## Keskkond

`DCOPSERVER`

`ICEAUTHORITY`

## Vaata ka

dcopclient(1) dcopref(1) dcopfind(1) kdcop(1)

Graafilise DCOP-tööriista kdcop käsiraamatuga tutvumiseks anna &kde; töökeskkonnas viibides &konqueror;is käsk `help:/kdcop`.